#ifndef __BOARD_H
#define __BOARD_H

typedef int (*ShapeDrawFunc)(int scr, int y, int x, unsigned char type);
extern int shape_iterate(char s, int scr, int y, int x, ShapeDrawFunc func);
extern char ChooseOption(float options[7]);
extern void player_empty(int scr);
extern unsigned char block_get(int scr, int y, int x);
extern int player_draw(int scr);
extern int block_iter_set_status(int scr, int y, int x, unsigned char type);
extern void shape_draw(char shape, int scr, int y, int x, int shadow);
extern void shape_erase(char shape, int scr, int y, int x, int shadow);
extern int shape_get(char shape, int scr, int y, int x);
extern int shape_visible(char shape, int scr, int y, int x);
extern int player_move(int scr, int deltaY, int deltaX);
extern int player_rotate(int scr, int dir);
extern int player_drop(int scr);
extern int player_down(int scr);
extern int player_lineclear(int scr);
extern void player_lineadd(int scr, int color, int count, int column);

#endif //__BOARD_H

